Link Bot to Phone Number
curl --request POST \
--url https://api.openmic.ai/v1/phone-numbers/link-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_id": "ybhb8wzi487w02m2bc7dh0ev",
"agent_id": "bvrg8wzi487w02m2bc7dh0ev",
"direction": "both"
}
'import requests
url = "https://api.openmic.ai/v1/phone-numbers/link-agent"
payload = {
"phone_number_id": "ybhb8wzi487w02m2bc7dh0ev",
"agent_id": "bvrg8wzi487w02m2bc7dh0ev",
"direction": "both"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number_id: 'ybhb8wzi487w02m2bc7dh0ev',
agent_id: 'bvrg8wzi487w02m2bc7dh0ev',
direction: 'both'
})
};
fetch('https://api.openmic.ai/v1/phone-numbers/link-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phone_number_id": "ybhb8wzi487w02m2bc7dh0ev",
"phone_number": "+15551112222",
"inbound_agent_id": "bvrg8wzi487w02m2bc7dh0ev",
"outbound_agent_id": "bvrg8wzi487w02m2bc7dh0ev",
"message": "Bot linked successfully for inbound and outbound calls."
}{
"error": "Invalid direction specified. Must be one of 'inbound', 'outbound', 'both'."
}{
"error": "Unauthorized",
"message": "Invalid or expired API key"
}{
"error": "The specified phone number or bot was not found."
}{
"error": "An unexpected error occurred. Please try again later."
}Phone Numbers
Link Bot to Phone Number
Link a bot (agent) to a phone number for inbound/outbound calls.
POST
/
v1
/
phone-numbers
/
link-agent
Link Bot to Phone Number
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Body
application/json
Bot linking details
Response
Bot linked to phone number successfully
Was this page helpful?
⌘I